Busca exceções de turno de acordo com os filtros
curl --request GET \
--url https://api.example.com/turnos-excecoesconst options = {method: 'GET'};
fetch('https://api.example.com/turnos-excecoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos-excecoes"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos-excecoes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos-excecoes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos-excecoes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"total": 5,
"units": [
{
"exceptionShiftId": "123-abc",
"name": "Intercâmbio do José da Silva",
"type": "turnoFixo",
"status": "PENDENTE",
"origin": "ADMIN",
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": "2023-02-01T00:00:00.000Z",
"numberCollaborators": 1,
"createdAt": "2022-12-01T00:00:00.000Z",
"updatedAt": "2023-12-01T00:00:00.000Z",
"shiftId": "abc-123",
"shiftName": "Turno para viagem da firma",
"values": {
"dias": [
{
"diaReferencia": "SEGUNDA",
"tipoDia": "NORMAL",
"entrada": "08:00",
"saida": "18:00",
"intervalo": {
"isFlexivel": true,
"horarios": [
[
{
"maximo": "01:30",
"minimo": "00:30"
}
]
]
}
}
]
}
}
],
"page": 0,
"limit": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Turno Exceção
Busca exceções de turno de acordo com os filtros
GET
/
turnos-excecoes
Busca exceções de turno de acordo com os filtros
curl --request GET \
--url https://api.example.com/turnos-excecoesconst options = {method: 'GET'};
fetch('https://api.example.com/turnos-excecoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos-excecoes"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos-excecoes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos-excecoes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos-excecoes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"total": 5,
"units": [
{
"exceptionShiftId": "123-abc",
"name": "Intercâmbio do José da Silva",
"type": "turnoFixo",
"status": "PENDENTE",
"origin": "ADMIN",
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": "2023-02-01T00:00:00.000Z",
"numberCollaborators": 1,
"createdAt": "2022-12-01T00:00:00.000Z",
"updatedAt": "2023-12-01T00:00:00.000Z",
"shiftId": "abc-123",
"shiftName": "Turno para viagem da firma",
"values": {
"dias": [
{
"diaReferencia": "SEGUNDA",
"tipoDia": "NORMAL",
"entrada": "08:00",
"saida": "18:00",
"intervalo": {
"isFlexivel": true,
"horarios": [
[
{
"maximo": "01:30",
"minimo": "00:30"
}
]
]
}
}
]
}
}
],
"page": 0,
"limit": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
Example:
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
Example:
100
Campo para filtrar exceção por seu status
Available options:
APROVADO, PENDENTE, CANCELADO, REJEITADO Campo para filtrar exceções por uma lista de tipos de configuração separados por vírgula
Example:
"turnoFixo,turnoFlexivel,turnoRevezamento,turnoCiclo"
Campo para filtrar exceções que começam a partir de uma data inicial
Example:
"2025-01-01T00:00:00.000Z"
Campo para filtrar exceções que terminam até uma data final
Example:
"2025-01-31T00:00:00.000Z"